> ## Documentation Index
> Fetch the complete documentation index at: https://docs.allyy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get authentication token

# Body

The request body have to be sent in `x-www-form-urlencoded` format

**client\_id** `string` *required*

Client ID. You can generate a client credentials on [Allyy settings page](https://app.allyy.io/settings/clients)

**client\_secret** `string` *required*

Client Secret. You can generate a client credentials on [Allyy settings page](https://app.allyy.io/settings/clients)

**grant\_type** `string` *required* (default: client\_credentials)

Always `client_credentials`

**allyy\_api** `string` *required* (default: allyy\_api)

Always `allyy_api`

# Headers

**Content-Type** `string` *required* (default: application/x-www-form-urlencoded)

Only `application/x-www-form-urlencoded` supported

# Responses

**access\_token** `string` *required*

Access token to be used for authentication

**token\_type** `string` *required*

Token type

**expires\_in** `integer` *required*

Validity periot in seconds

**scope** `string` *required*

Available scopes

```json 200 theme={null}
{
  "access_token": "my bearer token",
  "expires_in": 3600,
  "token_type": "Bearer",
  "scope": "allyy_api oneprediction_api"
}
```

```json 400 theme={null}
{
  "error": "invalid_request"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.